Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.SearchMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchMessages extends TdApi.Function<TdApi.Messages>
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatList`
`chatList`
Chat list in which to search messages; pass null to search in all chats regardless of their chat list.
`static final int`
`CONSTRUCTOR`
`TdApi.SearchMessagesFilter`
`filter`
Additional filter for messages to search; pass null to search for all messages.
`int`
`limit`
The maximum number of messages to be returned; up to 100.
`int`
`maxDate`
If not 0, the maximum date of the messages to return.
`int`
`minDate`
If not 0, the minimum date of the messages to return.
`long`
`offsetChatId`
The chat identifier of the last found message, or 0 for the first request.
`int`
`offsetDate`
The date of the message starting from which the results need to be fetched.
`long`
`offsetMessageId`
The message identifier of the last found message, or 0 for the first request.
`String`
`query`
Query to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchMessages()`
Searches for messages in all chats except secret chats.
`SearchMessages(TdApi.ChatList chatList, String query, int offsetDate, long offsetChatId, long offsetMessageId, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)`
Searches for messages in all chats except secret chats.
`SearchMessages(DataInput input)`
Searches for messages in all chats except secret chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.

### query

public String query
Query to search for.

### offsetDate

public int offsetDate
The date of the message starting from which the results need to be fetched. Use 0 or any date in the future to get results from the last message.

### offsetChatId

public long offsetChatId
The chat identifier of the last found message, or 0 for the first request.

### offsetMessageId

public long offsetMessageId
The message identifier of the last found message, or 0 for the first request.

### limit

public int limit
The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### filter

public TdApi.SearchMessagesFilter filter
Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterCall, searchMessagesFilterMissedCall, searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterFailedToSend and searchMessagesFilterPinned are unsupported in this function.

### minDate

public int minDate
If not 0, the minimum date of the messages to return.

### maxDate

public int maxDate
If not 0, the maximum date of the messages to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchMessages

public SearchMessages()
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

### SearchMessages

public SearchMessages(TdApi.ChatList chatList, String query, int offsetDate, long offsetChatId, long offsetMessageId, int limit, TdApi.SearchMessagesFilter filter, int minDate, int maxDate)
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

Parameters:
  `chatList` - ChatList Chat list in which to search messages; pass null to search in all chats regardless of their chat list. Only Main and Archive chat lists are supported.
  `query` - String Query to search for.
  `offsetDate` - int The date of the message starting from which the results need to be fetched. Use 0 or any date in the future to get results from the last message.
  `offsetChatId` - long The chat identifier of the last found message, or 0 for the first request.
  `offsetMessageId` - long The message identifier of the last found message, or 0 for the first request.
  `limit` - int The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `filter` - SearchMessagesFilter Additional filter for messages to search; pass null to search for all messages. Filters searchMessagesFilterCall, searchMessagesFilterMissedCall, searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterFailedToSend and searchMessagesFilterPinned are unsupported in this function.
  `minDate` - int If not 0, the minimum date of the messages to return.
  `maxDate` - int If not 0, the maximum date of the messages to return.

### SearchMessages

public SearchMessages(DataInput input) throws IOException
Searches for messages in all chats except secret chats. Returns the results in reverse chronological order (i.e., in order of decreasing (date, chatId, messageId)). For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

Returns `Messages`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`